Public Member Functions | Public Attributes | List of all members
libfreehand::FHBasicLine Struct Reference

`#include <FHTypes.h>`

## Public Member Functions
| FHBasicLine ()

## Public Attributes
unsigned | m_colorId
unsigned | m_linePatternId
unsigned | m_startArrowId
unsigned | m_endArrowId
double | m_mitter
double | m_width

## Constructor & Destructor Documentation

## ◆ FHBasicLine()

libfreehand::FHBasicLine::FHBasicLine | ( |  | ) |
| inline

## Member Data Documentation

## ◆ m_colorId

unsigned libfreehand::FHBasicLine::m_colorId

Referenced by libfreehand::FHCollector::_appendBasicLine(), libfreehand::FHParser::readBasicLine(), and libfreehand::FHParser::readPSLine().

## ◆ m_endArrowId

unsigned libfreehand::FHBasicLine::m_endArrowId

Referenced by libfreehand::FHCollector::_appendBasicLine(), and libfreehand::FHParser::readBasicLine().

## ◆ m_linePatternId

unsigned libfreehand::FHBasicLine::m_linePatternId

Referenced by libfreehand::FHCollector::_appendBasicLine(), and libfreehand::FHParser::readBasicLine().

## ◆ m_mitter

double libfreehand::FHBasicLine::m_mitter

Referenced by libfreehand::FHParser::readBasicLine().

## ◆ m_startArrowId

unsigned libfreehand::FHBasicLine::m_startArrowId

Referenced by libfreehand::FHCollector::_appendBasicLine(), and libfreehand::FHParser::readBasicLine().

## ◆ m_width

double libfreehand::FHBasicLine::m_width

Referenced by libfreehand::FHCollector::_appendBasicLine(), libfreehand::FHParser::readBasicLine(), and libfreehand::FHParser::readPSLine().

The documentation for this struct was generated from the following file:

- FHTypes.h